Subject: Re: bug#66317: Project mode-line

From: Dmitry Gutov <[email-masked]>
Date: Mon, 9 Oct 2023 21:22:47 +0300

On 09/10/2023 21:10, Juri Linkov wrote:
>>> Agreed.  No need to support it in older versions.  Moreover,
>>> I'm trying to add another option to join project and vc indicators
>>> on the mode-line that won't be possible to support in older versions.
>> Then that needs to be explained in the docstring. project.el is installable
>> in older versions.
> Hopefully I explained this sufficiently well in the docstring
> both for users of older versions and users who customized the
> default mode line.

Not sure: I imagine that most users don't customize mode-line-format 
themselves, and thus don't know which contents it has.

I would append some clarification that in Emacs 30 the mode-line has 
that element by default.